STRUCT SND_COMPR_STR(9)

NAME
struct_snd_compr_stream -

SYNOPSIS

struct snd_compr_stream {
  const char * name;
  struct snd_compr_ops * ops;
  struct snd_compr_runtime * runtime;
  struct snd_compr * device;
  enum snd_compr_direction direction;
  bool metadata_set;
  bool next_track;
  void * private_data;
};

MEMBERS

name
    device name

ops
    pointer to DSP callbacks

runtime
    pointer to runtime structure

device
    device pointer

direction
    stream direction, playback/recording

metadata_set
    metadata set flag, true when set

next_track
    has userspace signall next track transistion, true when set

private_data
    pointer to DSP private data

COPYRIGHT